<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <video id="v" controls loop src="images/vidoe1.mp4"></video>
    <canvas id="c"></canvas>
    <script>
        var canvas = document.querySelector("#c");
        var ctx = canvas.getContext('2d');
        document.addEventListener('DOMContentLoaded',function(){
            var v= document.querySelector("#v");
            v.addEventListener('loadedmetadata',function(){
                canvas.width= this.videoWidth;
                canvas.height= this.videoHeight;
                console.log(canvas.width)
            })
            var draw = function(){
                canvas.getContext('2d').drawImage(v,0,0)
                requestAnimationFrame(draw);
            }
            v.addEventListener('play',function(){
                if(v.paused || v.ended) return;
                draw()
            })
        })
    </script>
</body>
</html>